GuppY, le CMS de référence sans base de données

telecharger.png


You are here :   Accueil » Forum » GuppY 6 » iframe avec les nouvelles versions Edge et Chrome
    Print this page...

Attention : GuppY 6.00.18

Sortie de GuppY 6.00.18 : pack et patch cumulatif et non-cumulatif

Pour passer de la  6.00.17 à la version 6.00.18 vous appliquez le patch non-cumulatif GuppY 6.00.18 .

Pour passer de la version 5.03.03 à la version 6.00.18, vous devez impérativement suivre la procédure de migration décrite dans cet article.

Pour les plugins et pour les skins, merci de poster sur le site de leur auteur.

Les skins et les plugins de notre ami Saxbar sont en téléchargement sur ce site.

 

Forum - GuppY 6 - iframe avec les nouvelles versions Edge et Chrome


Connected : (nobody)

16/09/2023 @ 17:50
by Maurice42

Bonjour,

Je pose une question qui n'a rien avoir avec le fonctionnement de Guppy mais si qq'un avait la réponse ça m'aiderait bien.

Les dernières versions Edge et Chrome on l'air de bloquer l'utilisation des iframe pour afficher des pdf sur les pages web. Si j'ai bien compris c'est pour des questions de sécurité.

Cela fonctionne encore avec Firefox.

Si qq'un peut me dire comment contourner ce problème je l'en remercie d'avance.

Bonne journée à la communauté Guppy.

Maurice.

Maurice

  

Answer n° 1
--------
17/09/2023 @ 13:48
by linuxmr
linuxmr
Administrator

Salut Maurice,

je regarde cela.

je reviendrai vers toi

Bonne jounée

Linuxmr

  
Answer n° 2
--------
01/10/2023 @ 20:12
by linuxmr
linuxmr
Administrator

Bonsoir Maurice,

Je suis intervenu à la fois pour ton probleme signalé et aussi pour l'affichage de 'Panneau des cookies'.

Les deux problemes sont réglés

Pour Chrome, j'ai du réinitialiser les paramétres, ce que je te conseille de faire.

Pour l'affichage du panneau, les corrections du Css, et du JS ont été remis en téléchargement au mois de juillet.

Tu as également des soucis de cache déclaré dans Php,

Je t'appelle demain pour plus de précisions, tu verras avec O2switch

A+

Michel

  
Answer n° 3
--------
19/10/2023 @ 17:42
by diantre

Bonjour Maurice

Désolé pour cette réponse tardive, mais je n'avais pas vu ton post. 

Si cela peut t'aider, j'ai eu le même problème et pour afficher les PDF, j'ai remplacé les iframes par la balise . et pour afficher une page complète j'ai taillé en CSS la hauteur à 1200px figés par l'option !important (sinon la hauteur reste petite)

Ca marche super bien et c'est très propre.

Tu peux le voir sur mon site (https://lesarchersdestprix.fr), à droite vers le bas de la page d'accueil il y a le calendrier des clubs. Clique sur une date de concours et tu verras le mandat en PDF.

Le code que j'ai mis c'est :

Je n'ai qu'à changer le nom du fichier (et éventuellement le répertoire) quand je veux ajouter un concours.

Frédéric /Diantre

  
Answer n° 4
--------
19/10/2023 @ 21:58
by Papinou
Administrator

Bonsoir,

Pour citer du code, il faut utiliser l'icône <> sur la première ligne, autrement le code est supprimé pour des raisons de sécurité.

Cordialement, Papinou

  
Answer n° 5
--------
20/10/2023 @ 08:47
by linuxmr
linuxmr
Administrator

Bonjour Diantre,

Je suis allé sur la page des nouvelles, tu as une image qui n'apparait pas.

Pour le souci de l'affichage du PDF, une correction a été faite sur le plugin Iframe de Ckeditor.

Cela fonctionne.

A+

Linuxmr

  
Answer n° 6
--------
20/10/2023 @ 10:03
by diantre

Salut linuxmr

Effectivement ! 

Merci j'ai corrigé. L'image pointait sur le site de la Mairie pour cet événement et ils ont dû changer le lien. Maintenant c'est bon. 

Pour l'iFrame, c'est good si le le plugin a été corrigé. L'usage de la balise n'est qu'une autre méthode d'affichage. 

Très bonne journée

Diantre

  
Answer n° 7
--------
20/10/2023 @ 10:59
by diantre

Argh ! désolé Papinou. Merci pour le conseil, je n'avais jamais eu l'occasion de l'utiliser

Je parlais donc de l'usage des balises 

<embed>...</embed>

à la place de l'iframe

Rectifié par diantre le 20/10/2023 @ 11:00


Rectifié par diantre le 20/10/2023 @ 11:01
  
topic active   topic closed   Important!   New  
Correct message   Close topic   Make sticky topic